你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Configurations - Get

获取有关服务器的特定配置(也称为服务器参数)的信息。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/configurations/{configurationName}?api-version=2025-08-01

URI 参数

名称 必需 类型 说明
configurationName
path True

string

minLength: 1
maxLength: 256
pattern: ^[-\w\._]+$

配置的名称(也称为服务器参数)。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

serverName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)*

服务器的名称。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

响应

名称 类型 说明
200 OK

Configuration

Azure 运营顺利完成。

Other Status Codes

ErrorResponse

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow.

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Get information about a specific configuration (also known as server parameter) of a server.

示例请求

GET https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/configurations/array_nulls?api-version=2025-08-01

示例响应

{
  "name": "array_nulls",
  "type": "Microsoft.DBforPostgreSQL/flexibleServers/configurations",
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/configurations/array_nulls",
  "properties": {
    "description": "Enables input of NULL (case insensitive) to be considered as NULL value rather than the literal String 'NULL'.",
    "allowedValues": "on,off",
    "dataType": "Boolean",
    "defaultValue": "on",
    "documentationLink": "https://www.postgresql.org/docs/13/runtime-config-compatible.html#GUC-ARRAY-NULLS",
    "isConfigPendingRestart": false,
    "isDynamicConfig": true,
    "isReadOnly": false,
    "source": "system-default",
    "value": "on"
  }
}

定义

名称 说明
Configuration

配置(也称为服务器参数)。

ConfigurationDataType

配置的数据类型(也称为服务器参数)。

createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

systemData

与创建和上次修改资源相关的元数据。

Configuration

配置(也称为服务器参数)。

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

资源的名称

properties.allowedValues

string

配置的允许值(也称为服务器参数)。

properties.dataType

ConfigurationDataType

配置的数据类型(也称为服务器参数)。

properties.defaultValue

string

默认分配给配置的值(也称为服务器参数)。

properties.description

string

配置说明(也称为服务器参数)。

properties.documentationLink

string

指向配置文档的链接(也称为服务器参数)。

properties.isConfigPendingRestart

boolean

指示分配给配置的值(也称为服务器参数)是否正在等待服务器重新启动才能生效。

properties.isDynamicConfig

boolean

指示它是动态 (true) 还是静态 (false) 配置(也称为服务器参数)。 静态服务器参数需要在更改分配给它们的值后重新启动服务器,更改才能生效。 动态服务器参数在更改分配给它们的值后不需要重新启动服务器,更改就会生效。

properties.isReadOnly

boolean

指示它是只读 (true) 还是可修改 (false) 配置(也称为服务器参数)。

properties.source

string

分配给配置的值的源(也称为服务器参数)。 更新分配给特定可修改配置的值时需要。

properties.unit

string

表示配置(也称为服务器参数)值的单位。

properties.value

string

配置的值(也称为服务器参数)。 更新分配给特定可修改配置的值时需要。

systemData

systemData

Azure 资源管理器 包含 createdBy 和 modifiedBy 信息的元数据。

type

string

资源类型。 例如,“Microsoft。计算/虚拟机“或”Microsoft“。存储/存储账户”

ConfigurationDataType

配置的数据类型(也称为服务器参数)。

说明
Boolean

一个布尔值。

Numeric

数值。

Integer

一个整数值。

Enumeration

枚举值。

String

字符串值。

Set

一组值。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

附加信息。

type

string

附加信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

资源上次修改的时间戳 (UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。